Summary:	Tiling and window manager for GNOME Shell
Name:		gnome-shell-extension-forge
Version:	88
Release:	1
# main source code: GPL-3.0-or-later
# lib/css/index.js (installed as css.js): MIT
License:	GPL-3.0-or-later AND MIT
Source0:	https://github.com/forge-ext/forge/archive/v48-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3b7d1e29b34025b781b6a8476bba844b
URL:		https://github.com/forge-ext/forge
# downstream-only
Patch0:		0001-Adjust-makefile-for-Fedora.patch
BuildRequires:	gettext
Requires:	gnome-shell >= 48
BuildArch:	noarch

%description
Forge is a GNOME Shell extension that provides tiling/window
management.

%prep
%setup -q -n forge-48-%{version}
%patch -P0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p schemas/*.gschema.xml $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/
mv locale $RPM_BUILD_ROOT%{_localedir}

%find_lang forge

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f forge.lang
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/gnome-shell/extensions/forge@jmmaranan.com
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.forge.gschema.xml
%changelog
* Sun Jun 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-forge.git;a=log;h=master

* Mon Jun 23 2025 Jan Rękorajski <baggins@pld-linux.org> 8b89f71
- new

